# $Revision: 1.64 $, $Date: 2011/07/28 19:01:32 $
#
# Conditional build:
%bcond_with	alsa	# ALSA support; warning: SIGSEGV while using oss
%bcond_with	esd		# EsounD support

Summary:	libmikmod - a portable sound library for Unix
Summary(es.UTF-8):	Biblioteca de sonidos libmikmod
Summary(fr.UTF-8):	Bibliothèque sonore libmikmod
Summary(pl.UTF-8):	libmikmod - biblioteka do obsługi dźwięku dla różnych Uniksów
Summary(pt_BR.UTF-8):	Biblioteca de som libmikmod
Summary(ru.UTF-8):	Звуковая библиотека libmikmod
Summary(uk.UTF-8):	Звукова бібліотека libmikmod
Name:		libmikmod
Version:	3.1.12
Release:	4
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/mikmod/%{name}-%{version}.tar.gz
# Source0-md5:	9f3c740298260d5f88981fc0d51f6f16
Patch0:		%{name}-info.patch
Patch1:		%{name}-AC_LIBOBJ.patch
Patch2:		install-exec.patch
Patch3:		%{name}-lib64.patch
URL:		http://mikmod.raphnet.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	audiofile-devel
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel}
BuildRequires:	gettext-devel >= 0.10.35-9
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	texinfo
Obsoletes:	libmikmod2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write WAV files.

Supported file formats include mod, stm, s3m, mtm, xm, and it. Full
source included, use of this library for music/sound effects in your
own programs is encouraged !

%description -l es.UTF-8
Biblioteca de sonidos libmikmod.

%description -l fr.UTF-8
Une bibliothèque sonore portable pour Unix et d'autres systèmes,
capable de jouer aussi bien des effets sonores que des modules, sur un
grand choix de périphériques sonores.

%description -l pl.UTF-8
Biblioteka dźwięku dla Uniksa i innych systemów, umożliwiająca
odtwarzanie sampli i modułów dźwiękowych na wielu rodzajach urządzeń
dźwiękowych.

Wspierane formaty plików to między innymi mod, stm, s3m, mtm, xm i it.

%description -l pt_BR.UTF-8
Uma biblioteca de som portátil para o Unix e outros sistemas
operacionais, capaz de tocar samples agem de arquivos .mod, em uma
grande variedade de dispositivos de som.

%description -l ru.UTF-8
Мобильная звуковая библиотека для *nix, умеющая проигрывать сэмплы и
MOD'ы на большом количестве звуковых устройств.

%description -l uk.UTF-8
Переносима звукова бібліотека для *nix, здатна програвати семпли та
"модулі" на великій кількості звукових пристроїв.

%package devel
Summary:	Libraries and include files to develop libmikmod applications
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas para desarrollar aplicaciones libmikmod
Summary(fr.UTF-8):	Bibliothèques et includes pour programmer pour libmikmod
Summary(pl.UTF-8):	Biblioteki i pliki nagłówkowe dla libmikmod
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para desenvolver aplicações libmikmod
Summary(ru.UTF-8):	.h-файлы для разработки libmikmod-приложений
Summary(uk.UTF-8):	.h-файли для розробки програм, що користуються libmikmod
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libmikmod2-devel

%description devel
Libraries and include files to develop libmikmod applications.

%description devel -l es.UTF-8
Archivos de inclusión y bibliotecas para desarrollar aplicaciones
libmikmod.

%description devel -l fr.UTF-8
Bibliothèques et includes pour programmer pour libmikmod.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe do tworzenia aplikacji dla libmikmod.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão e bibliotecas para desenvolver aplicações
libmikmod.

%description devel -l ru.UTF-8
.h-файлы для разработки libmikmod-приложений.

%description devel -l uk.UTF-8
.h-файли для розробки програм, що користуються libmikmod.

%package static
Summary:	Static libmikmod libraries
Summary(fr.UTF-8):	Bibliothèques statiques libmikmod
Summary(pl.UTF-8):	Biblioteki statyczne libmikmod
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libmikmod
Summary(ru.UTF-8):	Статические библиотеки для разработки libmikmod-приложений
Summary(uk.UTF-8):	Статичні бібліотеки для розробки програм, що користуються libmikmod
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmikmod libraries.

%description static -l fr.UTF-8
Bibliothèques statiques libmikmod.

%description static -l pl.UTF-8
Biblioteki statyczne libmikmod.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libmikmod.

%description static -l ru.UTF-8
Статические библиотеки для разработки libmikmod-приложений.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм, що користуються libmikmod.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p0

%if %{without esd}
echo 'AC_DEFUN([AM_PATH_ESD],[$3])' >> acinclude.m4
%endif

%build
#cp -f /usr/share/automake/{config.*,missing} .
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_esound:--disable-esd} \
	--enable-oss
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_libdir}/libmikmod.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmikmod.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libmikmod-config
%attr(755,root,root) %{_libdir}/libmikmod.so
%{_libdir}/libmikmod.la
%{_includedir}/mikmod.h
%{_aclocaldir}/libmikmod.m4
%{_mandir}/man1/libmikmod-config.1*
%{_infodir}/mikmod.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmikmod.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmikmod.spec,v $
Revision 1.64  2011/07/28 19:01:32  atler
- fix libmikmod-config --libs on 64bit
- release 4

Revision 1.63  2011/07/10 19:38:58  glen
- %{_infodir}/dir is not always created, so always remove it

Revision 1.62  2011/07/10 16:30:34  glen
- fix without esound build

Revision 1.61  2011/07/10 16:14:50  glen
- fix library install. need to have executable bit set for rpm autodeps to work; rel 2

Revision 1.60  2010/10/25 06:42:22  qboosh
- updated to 3.1.12 (fixes XM endless loop)
- disable esound by default

Revision 1.59  2009/11/28 01:39:40  sparky
- BR: pkgconfig

Revision 1.58  2008/07/27 23:06:52  arekm
- release 4

Revision 1.57  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.56  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.55  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.54  2006/11/09 20:45:36  glen
- strict internal deps

Revision 1.53  2006/03/12 10:57:34  pluto
- release 3 (th-rebuild. ftp contains an old *.amd64 pkg).

Revision 1.52  2005/05/03 19:02:32  pluto
- release 2 for Th.

Revision 1.51  2005/02/05 12:40:31  qboosh
- noted download URL

Revision 1.50  2004/10/28 11:08:14  paladine
- "WAV" unification

Revision 1.49  2004/10/24 12:04:44  paladine
- spelling fixes

Revision 1.48  2004/07/13 09:31:48  pluto
- S0: fixed.

Revision 1.47  2004/07/13 09:27:08  pluto
- updated.
  3.1.11  : Fixes a few small bugs.
  3.1.11a : Makes libmikmod work correctly on amd64,
            fixes a warning issued by automake-1.8 in libmikmod.m4,
            and includes an updated version of config.{guess,sub}.

Revision 1.46  2004/07/13 09:10:20  pluto
- URL updated (previous points to porn site).

Revision 1.45  2003/12/21 17:12:02  qboosh
- fixed AC_LIBOBJ patch, added am18 patch (libmikmod.m4 quotation fix)
- new-style bcond, moved base docs to base, release 3

Revision 1.44  2003/12/01 02:33:33  undefine
- release 2 to rebuild with ac

Revision 1.43  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.42  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.41  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.40  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2002/11/25 14:16:56  ankry
- massive attack: no need for 755 for *.la

Revision 1.38  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.37  2002/07/23 10:51:24  kloczek
- updated to 3.1.10 (only and many bugfix release),
- merged translations from KSI and Conectiva,
- new Source url and URL,
- added AC_LIBOBJ patch (for allow build using latest ac/am),
- texinfo added to BuildRequires list.

Revision 1.36  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.35  2002/06/04 08:15:58  wolf
- s/without_alsa/with_alsa/ (it segfaults when using oss only)

Revision 1.34  2002/05/21 23:13:49  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/18 02:13:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/12/06 14:06:18  kloczek
- release 4.

Revision 1.29  2001/09/26 11:59:05  qboosh
- adapterized, BuildRequires: autoconf, automake, libtool

Revision 1.28  2001/08/10 23:17:44  agaran
- ac-25 simple changes
- should be ok

Revision 1.27  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.25  2001/05/22 09:06:27  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ ->
  _without_); no release changes only simple s/// perfored

Revision 1.24  2001/02/20 17:22:14  qboosh
- _without_alsa

Revision 1.23  2000/11/03 05:28:32  kloczek
- release 3: use new rpm automation.

Revision 1.22  2000/09/06 10:59:49  kloczek
- s/alsa-devel/alsa-lib-devel/

Revision 1.21  2000/09/06 10:31:24  kloczek
- release 2,
- adapterized.

Revision 1.20  2000/06/20 12:51:20  mis
- fix: fix-info-dir call is moved from %preun to the right section, %postun

Revision 1.19  2000/06/09 07:54:43  kloczek
- more %{__make} macros.

Revision 1.18  2000/06/09 07:23:24  kloczek
- added using %{__make} macro.

Revision 1.17  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.16  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.15  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.14  2000/04/06 14:30:44  mis
- typos

Revision 1.13  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.11  2000/02/15 07:08:04  wiget
3.1.9

Revision 1.10  2000/01/30 21:20:02  kloczek
- disable "BuildRequires: alsa-devel" on sparc and sparc64.

Revision 1.9  1999/12/27 22:12:03  kloczek
- release 2.

Revision 1.8  1999/12/27 18:55:54  kloczek
- cocmetics.

Revision 1.7  1999/12/25 00:36:15  alchemyx
- added missing Buildrequires

Revision 1.6  1999/12/24 21:43:01  alchemyx
- updated URLs;

Revision 1.5  1999/11/09 02:16:12  pius
- typo corrected

Revision 1.4  1999/10/28 19:24:40  pius
- updated to 3.1.8

Revision 1.3  1999/10/13 20:58:13  kloczek
- new Summary (en, pl) and %description (en) from Linux Mandrake spec.

Revision 1.2  1999/10/13 19:28:59  kloczek
- cosmetics.

Revision 1.1  1999/10/13 11:40:02  pius
- spec file rewritten for PLD use
- updated to 3.1.7d
- added static subpackage
- standarized index info entries format
